//go:build windows

package yu_curl

import (
	"fmt"
	"runtime"
	"runtime/debug"
	"testing"
	"time"
)

func Test(t *testing.T) {
	fmt.Println(Version())
}

func TestCurl(t *testing.T) {
	j_curl := NewRequest()
	defer j_curl.Close()
	j_curl.SetHeader("aaaaaaaaa", "dddddddddd")
	j_curl.Get("https://fanyi.baidu.com/mtpe/project/getDefaultId?_=1694941090604")
	fmt.Println(j_curl.RespStatusCode())
	fmt.Println(j_curl.RespLen())
	fmt.Println(len(j_curl.RespBody()))
	j_s := j_curl.RespBodyS()
	fmt.Println("j_s1", j_s)
	j_curl.SetHeader("aaaaaaaaa", "")
	j_curl.Get("https://fanyi.baidu.com/mtpe/v2/user/getInfo?_=1694941089645")
	fmt.Println(j_curl.RespStatusCode())
	fmt.Println(j_curl.RespLen())
	fmt.Println(len(j_curl.RespBody()))
	fmt.Println(len(j_curl.RespBodyS()))
	fmt.Println("j_s2", j_s)
	j_s = j_curl.RespBodyS()
	fmt.Println("j_s3", j_s)

}

func TestThread(t *testing.T) {
	debug.SetMaxThreads(30000)
	time.Sleep(time.Second * 5)
	for i := 0; i < 10000; i++ {
		go func() {
			// j_curl := NewRequest()
			// defer j_curl.Close()
			fmt.Println("get-")
			time.Sleep(time.Second * 5)
		}()
	}
	time.Sleep(time.Second * 15)
	runtime.GC()
	time.Sleep(time.Second * 1)
	runtime.GC()
	time.Sleep(time.Second * 1)
	runtime.GC()
	time.Sleep(time.Second * 1)
	runtime.GC()
	time.Sleep(time.Second * 5)

}
