package yu_pack

import (
	"bytes"
	yu_bytes "gogs.qqck.cn/s/go-tools/bytes"
)

// -----------------------------------------------------------------------------------------------------扩展

func (t *Pack) LenDecrease(i int) {
	if i < 1 {
		return
	}
	if len(t.buf) < i {
		return
	}
	t.buf = t.buf[:len(t.buf)-i]
	return
}

func (t *Pack) Count(sep []byte) int {
	return bytes.Count(t.buf[t.get_i:], sep)
}

// Lines
//
//	@Description: 寻找数据
//	@param sep 欲寻找的数据
//	@return int 找到次数，相邻的"sep"或"s"=="sep"则不计数，不以"sep"结尾则"i+1"
func (t *Pack) Lines(sep []byte) int64 {
	return yu_bytes.Lines(t.buf[t.get_i:], sep)
}
