//go:build windows && (386 || arm || mips || mipsle)

package yu_file

import (
	yu_win "gogs.qqck.cn/s/go-tools/win"
)

// Write
//
//	@Description: (非多线程安全)写出文件
//	@param name 文件路径
//	@param bufs 写出内容...
func Write(name string, bufs ...[]byte) bool {
	j_fd, _, _ := yu_win.CreateFileW.Call(yu_win.S{yu_win.Unicode, name}, yu_win.GENERIC_WRITE, yu_win.FILE_SHARE_NO, 0, yu_win.CREATE_ALWAYS, yu_win.FILE_FLAG_WRITE_THROUGH, 0)
	if int32(j_fd) == -1 {
		return false
	}
	defer yu_win.CloseHandle.Call(j_fd)
	for j_i := 0; j_i < len(bufs); j_i++ {
		if !writeFile(j_fd, bufs[j_i]) {
			return false
		}
	}
	return true
}
